1. Create
PAYBETA API
  • Bill Payment API
  • Webhook
  • Paybeta Commission
  • Airtime
    • Providers
      GET
    • Payment
      POST
  • Data Bundle
    • Get Providers
      GET
    • Get Data Bundles
      POST
    • Payment
      POST
  • Cable TV
    • Get Providers
      GET
    • Get Bouquet
      POST
    • Validate Account
      POST
    • Payment
      POST
  • Electricity
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Showmax
    • Get Bouquets
      GET
    • Payment
      POST
  • Gaming
    • Get Providers
    • Validate Account
    • Payment
  • Wallet
    • Balance
  • Education
    • Get Providers
    • Get Exam Types
  • Webhook (reference)
  • Schedule Payments
    • Setup
      • Options
      • Bundles
    • Create
      • Create - Airtime (one time)
        POST
      • Create - Data (monthly)
        POST
      • Create - Cable TV (monthly)
        POST
      • Create - Electricity (weekly)
        POST
    • Manage
      • List schedules
      • Get schedule
      • Update schedule
      • Pay now
      • Retry failed run
      • Pause
      • Resume
      • Cancel (archive)
      • Re-enable
      • Delete
  • Transaction Query
    POST
  1. Create

Create - Cable TV (monthly)

POST
https://api.paybeta.ng/v2/scheduled-payments
Schedule a recurring TV subscription. customer_id is the smartcard number and is validated with the provider. code is the bouquet code from Bundles. Bouquet must be ₦500 - ₦80,000.

Request

Authorization
Add parameter in header
P-API-KEY
Example:
P-API-KEY: ********************
Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paybeta.ng/v2/scheduled-payments' \
--header 'Accept: application/json' \
--header 'Accept: application/json' \
--header 'P-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "service": "cabletv",
  "biller": "dstv",
  "customer_id": "7027914329",
  "code": "dstv-padi",
  "frequency": "monthly",
  "start_at": "{{startAt}}"
}'
Response Response Example
{}
Modified at 2026-10-05 19:53:45
Previous
Create - Data (monthly)
Next
Create - Electricity (weekly)
Built with